Package org.apache.sling.testing.mock.sling.servlet

# Class MockHttpSession

java.lang.Object
org.apache.sling.servlethelpers.MockHttpSession
org.apache.sling.testing.mock.sling.servlet.MockHttpSession

All Implemented Interfaces:
  `javax.servlet.http.HttpSession`

public final class MockHttpSession extends org.apache.sling.servlethelpers.MockHttpSession
Mock `HttpSession` implementation.

## Constructor Summary

Constructors
Constructor
Description
`MockHttpSession()`

## Method Summary

Modifier and Type
Method
Description
`protected MockServletContext`
`newMockServletContext()`

### Methods inherited from class org.apache.sling.servlethelpers.MockHttpSession

`getAttribute, getAttributeNames, getCreationTime, getId, getLastAccessedTime, getMaxInactiveInterval, getServletContext, getSessionContext, getValue, getValueNames, invalidate, isInvalidated, isNew, putValue, removeAttribute, removeValue, setAttribute, setMaxInactiveInterval, setNew`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MockHttpSession

public MockHttpSession()

## Method Details

### newMockServletContext

protected MockServletContext newMockServletContext()

Overrides:
  `newMockServletContext` in class `org.apache.sling.servlethelpers.MockHttpSession`